    001/* ===========================================================
    002 * JFreeChart : a free chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jfreechart/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025 * Other names may be trademarks of their respective owners.]
    026 *
    027 * ----------------------------
    028 * ContourToolTipGenerator.java
    029 * ----------------------------
    030 * (C) Copyright 2002-2008, by David M. O'Donnell and Contributors.
    031 *
    032 * Original Author:  David M. O'Donnell;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * Changes
    036 * -------
    037 * 23-Jan-2003 : Added standard header (DG);
    038 * ------------- JFREECHART 1.0.x ---------------------------------------------
    039 * 02-Feb-2007 : Deprecated (DG);
    040 *
    041 */
    042
    043package org.jfree.chart.labels;
    044
    045import org.jfree.chart.plot.XYPlot;
    046import org.jfree.chart.renderer.xy.XYBlockRenderer;
    047import org.jfree.data.contour.ContourDataset;
    048
    049/**
    050 * Interface for a tooltip generator for plots that use data from a
    051 * {@link ContourDataset}.
    052 *
    053 * @deprecated This interface is no longer supported (as of version 1.0.4).
    054 *     If you are creating contour plots, please try to use {@link XYPlot} and
    055 *     {@link XYBlockRenderer}.
    056 */
    057public interface ContourToolTipGenerator {
    058
    059    /**
    060     * Generates a tooltip text item for a particular item within a series.
    061     *
    062     * @param dataset  the dataset.
    063     * @param item  the item index (zero-based).
    064     *
    065     * @return The tooltip text.
    066     */
    067    public String generateToolTip(ContourDataset dataset, int item);
    068
    069}